require 'fileutils'

require_relative 'generators/migration'
require_relative 'generators/model'
require_relative 'generators/controller'
require_relative 'generators/views'
require_relative 'generators/routes'
require_relative 'generators/manual'

def run_generator(get_type)
  if get_type == "monolingual" or get_type == "mono"
    type = "monolingual"

    `rails g model Legal title:string content:text is_visible:boolean position:integer`
  elsif get_type == "multilingual" or get_type == "multi"
    type = "multilingual"

    `rails g model Legal is_visible:boolean position:integer`
    `rails g model LegalTranslation title:string content:text language_id:string position:integer legal_id:integer`
  end

  if type 

    # get path to /home/mislav/.rvm/gems/ruby-2.3.1/gems/bamboo_legals-0.1.1/lib/templates
    temp_path = "#{File.dirname(__FILE__)}/templates"

    overwrite_migration
    overwrite_model(type, temp_path)

    create_admin_controller(type, temp_path)
    create_controller(type, temp_path)
    create_admin_views(type, temp_path)
    create_views(type, temp_path)

    overwrite_routes
    print_manual(type)
  end

end

