def print_manual(type)
  puts ""
  puts "++ Add locales"
  puts """
  admin_nav:
    legals: \"Legal Pages\"

  activerecord:
    attributes:
      legal:
        is_visible: \"Page is visible?\"
        title: \"Title\"
        content: \"Content\"
        created_at: \"Created at\"
    errors:
      models:
        legal:
          attributes:
            title:
              blank: \"Title can't be blank!\"
            content:
              blank: \"Content can't be blank!\"
  """
  puts ""
  puts "++ Add to app/views/layouts/admin/_navigation.html.erb"
  puts """
    <% if current_admin.permitted?(:legals) %>
      <%= active_link_to admin_legals_path, class: 'sidebar__link', active: :inclusive, class_active: 'active-link' do %>
        <%= inline_svg \"icons/nav/court.svg\", class: 'sidebar__icon', width: 16, height: 16 %>
        <%= t(\"admin_nav.legals\") %>
      <% end %>
    <% end %>
  """
  if type == "multilingual"
    puts ""
    puts "++ Maybe you are missing some helpers..."
    puts """
    look here: https://gitlab.com/bamboolab/b4b/-/blob/master/app/helpers/admin/language_helper.rb
    """
  end

  puts ""
  puts "++ Run"
  puts """
  rake db:migrate
  """
end
